// contactClass.dart

class Contact {
  final String name;
  final String phoneNumber;
  final bool isFavorite;
  final bool isLocked;
  final String? publicKey;

  Contact(
      this.name,
      this.phoneNumber, {
        this.isFavorite = false,
        this.isLocked = false,
        this.publicKey,
      });
}

// Sample contacts list
List<Contact> contacts = [
  Contact('Alice', '1234567890'),
  Contact('Bob', '0987654321', isFavorite: true, publicKey: 'ABCD...WXYZ'),
  Contact('Charlie', '5555555555', isLocked: true),
  // Add more contacts as needed
];

